Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Typedefs
sha2ossl.h File Reference
`#include <stddef.h>`
`#include <openssl/sha.h>`

Go to the source code of this file.

## Macros
#define | SHA256_BLOCK_LENGTH SHA256_CBLOCK
#define | SHA384_BLOCK_LENGTH SHA512_CBLOCK
#define | SHA512_BLOCK_LENGTH SHA512_CBLOCK
#define | SHA384_Final SHA512_Final
#define | SHA256_Finish rb_digest_SHA256_finish
#define | SHA384_Finish rb_digest_SHA384_finish
#define | SHA512_Finish rb_digest_SHA512_finish

## Typedefs
typedef SHA512_CTX | SHA384_CTX

## Macro Definition Documentation

## ◆ SHA256_BLOCK_LENGTH

#define SHA256_BLOCK_LENGTH SHA256_CBLOCK

Definition at line 7 of file sha2ossl.h.

## ◆ SHA256_Finish

#define SHA256_Finish rb_digest_SHA256_finish

Definition at line 20 of file sha2ossl.h.

## ◆ SHA384_BLOCK_LENGTH

#define SHA384_BLOCK_LENGTH SHA512_CBLOCK

Definition at line 8 of file sha2ossl.h.

## ◆ SHA384_Final

#define SHA384_Final SHA512_Final

Definition at line 12 of file sha2ossl.h.

## ◆ SHA384_Finish

#define SHA384_Finish rb_digest_SHA384_finish

Definition at line 21 of file sha2ossl.h.

## ◆ SHA512_BLOCK_LENGTH

#define SHA512_BLOCK_LENGTH SHA512_CBLOCK

Definition at line 9 of file sha2ossl.h.

## ◆ SHA512_Finish

#define SHA512_Finish rb_digest_SHA512_finish

Definition at line 22 of file sha2ossl.h.

## Typedef Documentation

## ◆ SHA384_CTX

typedef SHA512_CTX SHA384_CTX

Definition at line 15 of file sha2ossl.h.